# FireflyIIIClient::AboutApi

All URIs are relative to *https://demo.firefly-iii.org*

| Method | HTTP request | Description |
| ------ | ------------ | ----------- |
| [**get_about**](AboutApi.md#get_about) | **GET** /api/v1/about | System information end point. |
| [**get_current_user**](AboutApi.md#get_current_user) | **GET** /api/v1/about/user | Currently authenticated user endpoint. |


## get_about

> <SystemInfo> get_about

System information end point.

Returns general system information and versions of the (supporting) software. 

### Examples

```ruby
require 'time'
require 'firefly_iii_client'
# setup authorization
FireflyIIIClient.configure do |config|
  # Configure OAuth2 access token for authorization: firefly_iii_auth
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = FireflyIIIClient::AboutApi.new

begin
  # System information end point.
  result = api_instance.get_about
  p result
rescue FireflyIIIClient::ApiError => e
  puts "Error when calling AboutApi->get_about: #{e}"
end
```

#### Using the get_about_with_http_info variant

This returns an Array which contains the response data, status code and headers.

> <Array(<SystemInfo>, Integer, Hash)> get_about_with_http_info

```ruby

begin
  # System information end point.
  data, status_code, headers = api_instance.get_about_with_http_info
  p status_code # => 2xx
  p headers # => { ... }
  p data # => <SystemInfo>
rescue FireflyIIIClient::ApiError => e
  puts "Error when calling AboutApi->get_about_with_http_info: #{e}"
end
```

### Parameters

This endpoint does not need any parameter.

### Return type

[**SystemInfo**](SystemInfo.md)

### Authorization

[firefly_iii_auth](../README.md#firefly_iii_auth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## get_current_user

> <UserSingle> get_current_user

Currently authenticated user endpoint.

Returns the currently authenticated user. 

### Examples

```ruby
require 'time'
require 'firefly_iii_client'
# setup authorization
FireflyIIIClient.configure do |config|
  # Configure OAuth2 access token for authorization: firefly_iii_auth
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = FireflyIIIClient::AboutApi.new

begin
  # Currently authenticated user endpoint.
  result = api_instance.get_current_user
  p result
rescue FireflyIIIClient::ApiError => e
  puts "Error when calling AboutApi->get_current_user: #{e}"
end
```

#### Using the get_current_user_with_http_info variant

This returns an Array which contains the response data, status code and headers.

> <Array(<UserSingle>, Integer, Hash)> get_current_user_with_http_info

```ruby

begin
  # Currently authenticated user endpoint.
  data, status_code, headers = api_instance.get_current_user_with_http_info
  p status_code # => 2xx
  p headers # => { ... }
  p data # => <UserSingle>
rescue FireflyIIIClient::ApiError => e
  puts "Error when calling AboutApi->get_current_user_with_http_info: #{e}"
end
```

### Parameters

This endpoint does not need any parameter.

### Return type

[**UserSingle**](UserSingle.md)

### Authorization

[firefly_iii_auth](../README.md#firefly_iii_auth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

