# FireflyIIIClient::Account

## Properties

| Name | Type | Description | Notes |
| ---- | ---- | ----------- | ----- |
| **created_at** | **Time** |  | [optional][readonly] |
| **updated_at** | **Time** |  | [optional][readonly] |
| **name** | **String** |  |  |
| **type** | **String** | Can only be one one these account types. import, initial-balance and reconciliation cannot be set manually. |  |
| **iban** | **String** |  | [optional] |
| **bic** | **String** |  | [optional] |
| **account_number** | **String** |  | [optional] |
| **opening_balance** | **Float** |  | [optional] |
| **opening_balance_date** | **Date** |  | [optional] |
| **virtual_balance** | **Float** |  | [optional] |
| **current_balance** | **Float** |  | [optional][readonly] |
| **current_balance_date** | **Date** |  | [optional][readonly] |
| **currency_id** | **Integer** | Use either currency_id or currency_code. Defaults to the user&#39;s default currency. | [optional] |
| **currency_code** | **String** | Use either currency_id or currency_code. Defaults to the user&#39;s default currency. | [optional] |
| **currency_symbol** | **String** |  | [optional][readonly] |
| **currency_decimal_places** | **Integer** |  | [optional][readonly] |
| **active** | **Boolean** | If omitted, defaults to true. | [optional] |
| **include_net_worth** | **Boolean** | If omitted, defaults to true. | [optional] |
| **account_role** | **String** | Is only mandatory when the type is asset. |  |
| **credit_card_type** | **String** | Mandatory when the account_role is ccAsset. Can only be monthlyFull. | [optional] |
| **monthly_payment_date** | **Date** | Mandatory when the account_role is ccAsset. Moment at which CC payment installments are asked for by the bank. | [optional] |
| **liability_type** | **String** | Mandatory when type is liability. Specifies the exact type. | [optional] |
| **liability_amount** | **Float** | Mandatory when type is liability. Amount of money in the liability. Must be positive. | [optional] |
| **liability_start_date** | **Date** | Mandatory when type is liability. Start date for the liability. | [optional] |
| **interest** | **Float** | Mandatory when type is liability. Interest percentage. | [optional] |
| **interest_period** | **String** | Mandatory when type is liability. Period over which the interest is calculated. | [optional] |
| **notes** | **String** |  | [optional] |

## Example

```ruby
require 'firefly_iii_client'

instance = FireflyIIIClient::Account.new(
  created_at: 2018 - 09 - 17 T12 : 46 : 47 + 01 : 00,
  updated_at : 2018 - 09 - 17 T12 : 46 : 47 + 01 : 00,
  name : My checking account,
                     type: asset,
                     iban: GB98MIDL07009312345678,
                     bic: BOFAUS3N,
                     account_number: 7009312345678,
                     opening_balance: -1012.12,
                     opening_balance_date: Mon Sep 17 00 : 00 : 00 GMT 2018,
                                                                       virtual_balance: 1000,
                                                                       current_balance: 152.34,
                                                                       current_balance_date: Mon Sep 17 00 : 00 : 00 GMT 2018,
                                                                                                                         currency_id: 12,
                                                                                                                         currency_code: EUR,
                                                                                                                         currency_symbol: $,
currency_decimal_places : 2,
  active : true,
    include_net_worth : true,
    account_role : defaultAsset,
    credit_card_type : monthlyFull,
    monthly_payment_date : Mon Sep 17 00 : 00 : 00 GMT 2018,
                                                       liability_type: loan,
                                                       liability_amount: 12000,
                                                       liability_start_date: Sun Sep 17 00 : 00 : 00 GMT 2017,
                                                                                                         interest: 3,
                                                                                                         interest_period: monthly,
                                                                                                         notes: Some example notes
)
```

