# FireflyIIIClient::Attachment

## Properties

| Name | Type | Description | Notes |
| ---- | ---- | ----------- | ----- |
| **created_at** | **Time** |  | [optional][readonly] |
| **updated_at** | **Time** |  | [optional][readonly] |
| **filename** | **String** |  |  |
| **attachable_type** | **String** | The object class to which the attachment must be linked. | [optional][readonly] |
| **model** | **String** | The object class to which the attachment must be linked. |  |
| **attachable_id** | **Integer** | ID of the model this attachment is linked to. | [optional][readonly] |
| **model_id** | **Integer** | ID of the model this attachment is linked to. |  |
| **md5** | **String** | MD5 hash of the file for basic duplicate detection. | [optional] |
| **download_uri** | **String** |  | [optional] |
| **upload_uri** | **String** |  | [optional] |
| **title** | **String** |  | [optional] |
| **notes** | **String** |  | [optional] |
| **mime** | **String** |  | [optional][readonly] |
| **size** | **Integer** |  | [optional][readonly] |

## Example

```ruby
require 'firefly_iii_client'

instance = FireflyIIIClient::Attachment.new(
  created_at: 2018 - 09 - 17 T12 : 46 : 47 + 01 : 00,
  updated_at : 2018 - 09 - 17 T12 : 46 : 47 + 01 : 00,
  filename : file.pdf,
    attachable_type : Bill,
    model : Bill,
    attachable_id : 134,
  model_id : 134,
  md5 : 0 c3f95f34370baa88f9fd9a671fea305,
  download_uri : https : // demo.firefly - iii.org / api / v1 / attachments / 191 / download,
  upload_uri : https : // demo.firefly - iii.org / api / v1 / attachments / 191 / download,
  title : Some PDF file,
                   notes: Some notes,
  mime : application / pdf,
  size : 48211
)
```

