# FireflyIIIClient::AvailableBudget

## Properties

| Name | Type | Description | Notes |
| ---- | ---- | ----------- | ----- |
| **created_at** | **Time** |  | [optional][readonly] |
| **updated_at** | **Time** |  | [optional][readonly] |
| **currency_id** | **Integer** | Use either currency_id or currency_code. | [optional] |
| **currency_code** | **String** | Use either currency_id or currency_code. | [optional] |
| **currency_symbol** | **String** |  | [optional][readonly] |
| **currency_decimal_places** | **Integer** |  | [optional][readonly] |
| **amount** | **Float** |  |  |
| **start** | **Date** | Start date of the available budget. |  |
| **_end** | **Date** | End date of the available budget. |  |
| **spent_in_budgets** | [**Array&lt;BudgetSpent&gt;**](BudgetSpent.md) |  | [optional][readonly] |
| **spent_outside_budget** | [**Array&lt;BudgetSpent&gt;**](BudgetSpent.md) |  | [optional][readonly] |

## Example

```ruby
require 'firefly_iii_client'

instance = FireflyIIIClient::AvailableBudget.new(
  created_at: 2018 - 09 - 17 T12 : 46 : 47 + 01 : 00,
  updated_at : 2018 - 09 - 17 T12 : 46 : 47 + 01 : 00,
  currency_id : 5,
  currency_code : EUR,
    currency_symbol : $,
currency_decimal_places : 2,
  amount : 250,
  start : Sun Sep 17 00 : 00 : 00 GMT 2017,
                                      _end: Sun Sep 17 00 : 00 : 00 GMT 2017,
                                                                        spent_in_budgets: null,
                                                                        spent_outside_budget: null
)
```

