# FireflyIIIClient::BasicSummaryEntry

## Properties

| Name | Type | Description | Notes |
| ---- | ---- | ----------- | ----- |
| **key** | **String** | This is a reference to the type of info shared, not influenced by translations or user preferences. | [optional] |
| **title** | **String** | A translated title for the information shared. | [optional] |
| **monetary_value** | **Float** | The amount as a float. | [optional] |
| **currency_id** | **Integer** | The currency ID of the associated currency. | [optional] |
| **currency_code** | **String** |  | [optional] |
| **currency_symbol** | **String** |  | [optional] |
| **currency_decimal_places** | **Integer** | Number of decimals for the associated currency. | [optional] |
| **value_parsed** | **String** | The amount formatted according to the users locale | [optional] |
| **local_icon** | **String** | Reference to a font-awesome icon without the fa- part. | [optional] |
| **sub_title** | **String** | A short explanation of the amounts origin. Already formatted according to the locale of the user or translated, if relevant. | [optional] |

## Example

```ruby
require 'firefly_iii_client'

instance = FireflyIIIClient::BasicSummaryEntry.new(
  key: balance - in -EUR,
  title : Balance ($),
                  monetary_value: 123.45,
                  currency_id: 5,
                  currency_code: EUR,
                  currency_symbol: $,
currency_decimal_places : 2,
  value_parsed : $ 12.45,
  local_icon : balance - scale,
  sub_title : $20 + $- 40
)
```

