# FireflyIIIClient::Bill

## Properties

| Name | Type | Description | Notes |
| ---- | ---- | ----------- | ----- |
| **created_at** | **Time** |  | [optional][readonly] |
| **updated_at** | **Time** |  | [optional][readonly] |
| **currency_id** | **Integer** | Use either currency_id or currency_code | [optional] |
| **currency_code** | **String** | Use either currency_id or currency_code | [optional] |
| **currency_symbol** | **String** |  | [optional][readonly] |
| **currency_decimal_places** | **Integer** |  | [optional][readonly] |
| **name** | **String** |  |  |
| **amount_min** | **Float** |  |  |
| **amount_max** | **Float** |  |  |
| **date** | **Date** |  |  |
| **repeat_freq** | **String** | How often the bill must be paid. |  |
| **skip** | **Integer** | How often the bill must be skipped. 1 means a bi-monthly bill. | [optional] |
| **active** | **Boolean** | If the bill is active. | [optional] |
| **notes** | **String** |  | [optional] |
| **next_expected_match** | **Date** | When the bill is expected to be due. | [optional][readonly] |
| **pay_dates** | **Array&lt;Date&gt;** | Array of future dates when the bill is expected to be paid. Autogenerated. | [optional][readonly] |
| **paid_dates** | [**Array&lt;BillPaidDates&gt;**](BillPaidDates.md) | Array of past transactions when the bill was paid. | [optional][readonly] |

## Example

```ruby
require 'firefly_iii_client'

instance = FireflyIIIClient::Bill.new(
  created_at: 2018 - 09 - 17 T12 : 46 : 47 + 01 : 00,
  updated_at : 2018 - 09 - 17 T12 : 46 : 47 + 01 : 00,
  currency_id : 5,
  currency_code : EUR,
    currency_symbol : $,
currency_decimal_places : 2,
  name : Rent,
    amount_min : 600,
  amount_max : 601,
  date : Mon Sep 17 00 : 00 : 00 GMT 2018,
                                     repeat_freq: monthly,
                                     skip: 0,
                                     active: true,
                                     notes: Some example notes,
                                                         next_expected_match: Mon Sep 17 00 : 00 : 00 GMT 2018,
                                                                                                          pay_dates: null,
                                                                                                          paid_dates: null
)
```

