# FireflyIIIClient::BudgetLimit

## Properties

| Name | Type | Description | Notes |
| ---- | ---- | ----------- | ----- |
| **created_at** | **Time** |  | [optional][readonly] |
| **updated_at** | **Time** |  | [optional][readonly] |
| **currency_id** | **Integer** | Use either currency_id or currency_code. Defaults to the user&#39;s default currency. | [optional] |
| **currency_code** | **String** | Use either currency_id or currency_code. Defaults to the user&#39;s default currency. | [optional] |
| **currency_symbol** | **String** |  | [optional][readonly] |
| **currency_decimal_places** | **Integer** |  | [optional][readonly] |
| **budget_id** | **Integer** | The budget ID of the associated budget. |  |
| **start** | **Date** | Start date of the budget limit. |  |
| **_end** | **Date** | End date of the budget limit. |  |
| **amount** | **Float** |  |  |
| **spent** | [**Array&lt;BudgetSpent&gt;**](BudgetSpent.md) |  | [optional][readonly] |

## Example

```ruby
require 'firefly_iii_client'

instance = FireflyIIIClient::BudgetLimit.new(
  created_at: 2018 - 09 - 17 T12 : 46 : 47 + 01 : 00,
  updated_at : 2018 - 09 - 17 T12 : 46 : 47 + 01 : 00,
  currency_id : 5,
  currency_code : EUR,
    currency_symbol : $,
currency_decimal_places : 2,
  budget_id : 23,
  start : Sun Sep 17 00 : 00 : 00 GMT 2017,
                                      _end: Sun Sep 17 00 : 00 : 00 GMT 2017,
                                                                        amount: 250,
                                                                        spent: null
)
```

