# FireflyIIIClient::ChartDataSet

## Properties

| Name | Type | Description | Notes |
| ---- | ---- | ----------- | ----- |
| **label** | **String** | This is the title of the current set. It can refer to an account, a budget or another object (by name). | [optional] |
| **currency_id** | **Integer** | The currency ID of the currency associated to the data in the entries. | [optional] |
| **currency_code** | **String** |  | [optional] |
| **currency_symbol** | **String** |  | [optional] |
| **currency_decimal_places** | **Integer** | Number of decimals for the currency associated to the data in the entries. | [optional] |
| **type** | **String** | Indicated the type of chart that is expected to be rendered. You can safely ignore this if you want. | [optional] |
| **y_axis_id** | **Integer** | Used to indicate the Y axis for this data set. Is usually between 0 and 1 (left and right side of the chart). | [optional] |
| **entries** | [**Array&lt;ChartDataPoint&gt;**](ChartDataPoint.md) | The actual entries for this data set. They &#39;key&#39; value is the label for the data point. The value is the actual (numerical) value. | [optional] |

## Example

```ruby
require 'firefly_iii_client'

instance = FireflyIIIClient::ChartDataSet.new(
  label: Checking account,
                  currency_id: 5,
                  currency_code: EUR,
                  currency_symbol: $,
currency_decimal_places : 2,
  type : line,
    y_axis_id : 0,
  entries : null
)
```

