# FireflyIIIClient::ImportJobAttributes

## Properties

| Name | Type | Description | Notes |
| ---- | ---- | ----------- | ----- |
| **created_at** | **Time** |  | [optional] |
| **updated_at** | **Time** |  | [optional] |
| **tag_id** | **Integer** | ID of the tag related to the import job, if present. | [optional] |
| **tag_tag** | **String** | Tag related to the import job, if present. | [optional] |
| **key** | **String** | Import job unique identifier. | [optional] |
| **file_type** | **String** | File type, if relevant. | [optional] |
| **provider** | **String** | Import provider that did the import. | [optional] |
| **status** | **String** | Status of import job. | [optional] |
| **stage** | **String** | Current stage. | [optional] |
| **configuration** | **String** | JSON string with job-specific configuration. | [optional] |
| **extended_status** | **String** | JSON string with job-specific status. | [optional] |
| **transactions** | **String** | JSON string with a count of transactions in the job. | [optional] |
| **errors** | **String** | JSON string with a list of errors. | [optional] |

## Example

```ruby
require 'firefly_iii_client'

instance = FireflyIIIClient::ImportJobAttributes.new(
  created_at: 2018 - 09 - 17 T12 : 46 : 47 + 01 : 00,
  updated_at : 2018 - 09 - 17 T12 : 46 : 47 + 01 : 00,
  tag_id : 121,
  tag_tag : Import with key &#39;abcdef&#39;,
                            key : abcdef,
    file_type : csv,
    provider : bunq,
    status : import_finished,
    stage : apply_rules,
    configuration : null,
    extended_status : null,
    transactions : null,
    errors : null
)
```

