# FireflyIIIClient::PiggyBank

## Properties

| Name | Type | Description | Notes |
| ---- | ---- | ----------- | ----- |
| **created_at** | **Time** |  | [optional][readonly] |
| **updated_at** | **Time** |  | [optional][readonly] |
| **name** | **String** |  |  |
| **account_id** | **Integer** | The ID of the asset account this piggy bank is connected to. |  |
| **account_name** | **String** | The name of the asset account this piggy bank is connected to. | [optional][readonly] |
| **currency_id** | **Integer** |  | [optional][readonly] |
| **currency_code** | **String** |  | [optional][readonly] |
| **currency_symbol** | **String** |  | [optional][readonly] |
| **currency_decimal_places** | **Integer** | Number of decimals supported by the currency | [optional][readonly] |
| **target_amount** | **Float** |  |  |
| **percentage** | **Float** |  | [optional][readonly] |
| **current_amount** | **Float** |  | [optional] |
| **left_to_save** | **Float** |  | [optional][readonly] |
| **save_per_month** | **Float** |  | [optional][readonly] |
| **start_date** | **Date** | The date you started with this piggy bank. | [optional] |
| **target_date** | **Date** | The date you intend to finish saving money. | [optional] |
| **order** | **Integer** |  | [optional][readonly] |
| **active** | **Boolean** |  | [optional][readonly] |
| **notes** | **String** |  | [optional] |

## Example

```ruby
require 'firefly_iii_client'

instance = FireflyIIIClient::PiggyBank.new(
  created_at: 2018 - 09 - 17 T12 : 46 : 47 + 01 : 00,
  updated_at : 2018 - 09 - 17 T12 : 46 : 47 + 01 : 00,
  name : New digital camera,
                     account_id: 13,
                     account_name: Savings account,
  currency_id : 5,
  currency_code : USD,
    currency_symbol : $,
currency_decimal_places : 2,
  target_amount : 800,
  percentage : 12.5,
  current_amount : 100,
  left_to_save : 700,
  save_per_month : 12.45,
  start_date : Mon Sep 17 00 : 00 : 00 GMT 2018,
                                           target_date: Thu Sep 17 00 : 00 : 00 GMT 2020,
                                                                                    order: 5,
                                                                                    active: true,
                                                                                    notes: Some notes
)
```

