# FireflyIIIClient::PiggyBanksApi

All URIs are relative to *https://demo.firefly-iii.org*

| Method | HTTP request | Description |
| ------ | ------------ | ----------- |
| [**delete_piggy_bank**](PiggyBanksApi.md#delete_piggy_bank) | **DELETE** /api/v1/piggy_banks/{id} | Delete a piggy bank. |
| [**get_piggy_bank**](PiggyBanksApi.md#get_piggy_bank) | **GET** /api/v1/piggy_banks/{id} | Get a single piggy bank. |
| [**list_event_by_piggy_bank**](PiggyBanksApi.md#list_event_by_piggy_bank) | **GET** /api/v1/piggy_banks/{id}/events | List all events linked to a piggy bank. |
| [**list_piggy_bank**](PiggyBanksApi.md#list_piggy_bank) | **GET** /api/v1/piggy_banks | List all piggy banks. |
| [**store_piggy_bank**](PiggyBanksApi.md#store_piggy_bank) | **POST** /api/v1/piggy_banks | Store a new piggy bank |
| [**update_piggy_bank**](PiggyBanksApi.md#update_piggy_bank) | **PUT** /api/v1/piggy_banks/{id} | Update existing piggy bank. |


## delete_piggy_bank

> delete_piggy_bank(id)

Delete a piggy bank.

Delete a piggy bank.

### Examples

```ruby
require 'time'
require 'firefly_iii_client'
# setup authorization
FireflyIIIClient.configure do |config|
  # Configure OAuth2 access token for authorization: firefly_iii_auth
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = FireflyIIIClient::PiggyBanksApi.new
id = 1 # Integer | The ID of the piggy bank.

begin
  # Delete a piggy bank.
  api_instance.delete_piggy_bank(id)
rescue FireflyIIIClient::ApiError => e
  puts "Error when calling PiggyBanksApi->delete_piggy_bank: #{e}"
end
```

#### Using the delete_piggy_bank_with_http_info variant

This returns an Array which contains the response data (`nil` in this case), status code and headers.

> <Array(nil, Integer, Hash)> delete_piggy_bank_with_http_info(id)

```ruby

begin
  # Delete a piggy bank.
  data, status_code, headers = api_instance.delete_piggy_bank_with_http_info(id)
  p status_code # => 2xx
  p headers # => { ... }
  p data # => nil
rescue FireflyIIIClient::ApiError => e
  puts "Error when calling PiggyBanksApi->delete_piggy_bank_with_http_info: #{e}"
end
```

### Parameters

| Name | Type | Description | Notes |
| ---- | ---- | ----------- | ----- |
| **id** | **Integer** | The ID of the piggy bank. |  |

### Return type

nil (empty response body)

### Authorization

[firefly_iii_auth](../README.md#firefly_iii_auth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined


## get_piggy_bank

> <PiggyBankSingle> get_piggy_bank(id)

Get a single piggy bank.

Get a single piggy bank.

### Examples

```ruby
require 'time'
require 'firefly_iii_client'
# setup authorization
FireflyIIIClient.configure do |config|
  # Configure OAuth2 access token for authorization: firefly_iii_auth
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = FireflyIIIClient::PiggyBanksApi.new
id = 1 # Integer | The ID of the piggy bank.

begin
  # Get a single piggy bank.
  result = api_instance.get_piggy_bank(id)
  p result
rescue FireflyIIIClient::ApiError => e
  puts "Error when calling PiggyBanksApi->get_piggy_bank: #{e}"
end
```

#### Using the get_piggy_bank_with_http_info variant

This returns an Array which contains the response data, status code and headers.

> <Array(<PiggyBankSingle>, Integer, Hash)> get_piggy_bank_with_http_info(id)

```ruby

begin
  # Get a single piggy bank.
  data, status_code, headers = api_instance.get_piggy_bank_with_http_info(id)
  p status_code # => 2xx
  p headers # => { ... }
  p data # => <PiggyBankSingle>
rescue FireflyIIIClient::ApiError => e
  puts "Error when calling PiggyBanksApi->get_piggy_bank_with_http_info: #{e}"
end
```

### Parameters

| Name | Type | Description | Notes |
| ---- | ---- | ----------- | ----- |
| **id** | **Integer** | The ID of the piggy bank. |  |

### Return type

[**PiggyBankSingle**](PiggyBankSingle.md)

### Authorization

[firefly_iii_auth](../README.md#firefly_iii_auth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## list_event_by_piggy_bank

> <PiggyBankEventArray> list_event_by_piggy_bank(id, opts)

List all events linked to a piggy bank.

List all events linked to a piggy bank (adding and removing money).

### Examples

```ruby
require 'time'
require 'firefly_iii_client'
# setup authorization
FireflyIIIClient.configure do |config|
  # Configure OAuth2 access token for authorization: firefly_iii_auth
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = FireflyIIIClient::PiggyBanksApi.new
id = 1 # Integer | The ID of the piggy bank
opts = {
  page: 1 # Integer | Page number. The default pagination is 50.
}

begin
  # List all events linked to a piggy bank.
  result = api_instance.list_event_by_piggy_bank(id, opts)
  p result
rescue FireflyIIIClient::ApiError => e
  puts "Error when calling PiggyBanksApi->list_event_by_piggy_bank: #{e}"
end
```

#### Using the list_event_by_piggy_bank_with_http_info variant

This returns an Array which contains the response data, status code and headers.

> <Array(<PiggyBankEventArray>, Integer, Hash)> list_event_by_piggy_bank_with_http_info(id, opts)

```ruby

begin
  # List all events linked to a piggy bank.
  data, status_code, headers = api_instance.list_event_by_piggy_bank_with_http_info(id, opts)
  p status_code # => 2xx
  p headers # => { ... }
  p data # => <PiggyBankEventArray>
rescue FireflyIIIClient::ApiError => e
  puts "Error when calling PiggyBanksApi->list_event_by_piggy_bank_with_http_info: #{e}"
end
```

### Parameters

| Name | Type | Description | Notes |
| ---- | ---- | ----------- | ----- |
| **id** | **Integer** | The ID of the piggy bank |  |
| **page** | **Integer** | Page number. The default pagination is 50. | [optional] |

### Return type

[**PiggyBankEventArray**](PiggyBankEventArray.md)

### Authorization

[firefly_iii_auth](../README.md#firefly_iii_auth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## list_piggy_bank

> <PiggyBankArray> list_piggy_bank(opts)

List all piggy banks.

List all piggy banks.

### Examples

```ruby
require 'time'
require 'firefly_iii_client'
# setup authorization
FireflyIIIClient.configure do |config|
  # Configure OAuth2 access token for authorization: firefly_iii_auth
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = FireflyIIIClient::PiggyBanksApi.new
opts = {
  page: 1 # Integer | Page number. The default pagination is 50.
}

begin
  # List all piggy banks.
  result = api_instance.list_piggy_bank(opts)
  p result
rescue FireflyIIIClient::ApiError => e
  puts "Error when calling PiggyBanksApi->list_piggy_bank: #{e}"
end
```

#### Using the list_piggy_bank_with_http_info variant

This returns an Array which contains the response data, status code and headers.

> <Array(<PiggyBankArray>, Integer, Hash)> list_piggy_bank_with_http_info(opts)

```ruby

begin
  # List all piggy banks.
  data, status_code, headers = api_instance.list_piggy_bank_with_http_info(opts)
  p status_code # => 2xx
  p headers # => { ... }
  p data # => <PiggyBankArray>
rescue FireflyIIIClient::ApiError => e
  puts "Error when calling PiggyBanksApi->list_piggy_bank_with_http_info: #{e}"
end
```

### Parameters

| Name | Type | Description | Notes |
| ---- | ---- | ----------- | ----- |
| **page** | **Integer** | Page number. The default pagination is 50. | [optional] |

### Return type

[**PiggyBankArray**](PiggyBankArray.md)

### Authorization

[firefly_iii_auth](../README.md#firefly_iii_auth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## store_piggy_bank

> <PiggyBankSingle> store_piggy_bank(piggy_bank)

Store a new piggy bank

Creates a new piggy bank. The data required can be submitted as a JSON body or as a list of parameters.

### Examples

```ruby
require 'time'
require 'firefly_iii_client'
# setup authorization
FireflyIIIClient.configure do |config|
  # Configure OAuth2 access token for authorization: firefly_iii_auth
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = FireflyIIIClient::PiggyBanksApi.new
piggy_bank = FireflyIIIClient::PiggyBank.new({ name: 'New digital camera', account_id: 13, target_amount: 800 }) # PiggyBank | JSON array or key=value pairs with the necessary piggy bank information. See the model for the exact specifications.

begin
  # Store a new piggy bank
  result = api_instance.store_piggy_bank(piggy_bank)
  p result
rescue FireflyIIIClient::ApiError => e
  puts "Error when calling PiggyBanksApi->store_piggy_bank: #{e}"
end
```

#### Using the store_piggy_bank_with_http_info variant

This returns an Array which contains the response data, status code and headers.

> <Array(<PiggyBankSingle>, Integer, Hash)> store_piggy_bank_with_http_info(piggy_bank)

```ruby

begin
  # Store a new piggy bank
  data, status_code, headers = api_instance.store_piggy_bank_with_http_info(piggy_bank)
  p status_code # => 2xx
  p headers # => { ... }
  p data # => <PiggyBankSingle>
rescue FireflyIIIClient::ApiError => e
  puts "Error when calling PiggyBanksApi->store_piggy_bank_with_http_info: #{e}"
end
```

### Parameters

| Name | Type | Description | Notes |
| ---- | ---- | ----------- | ----- |
| **piggy_bank** | [**PiggyBank**](PiggyBank.md) | JSON array or key&#x3D;value pairs with the necessary piggy bank information. See the model for the exact specifications. |  |

### Return type

[**PiggyBankSingle**](PiggyBankSingle.md)

### Authorization

[firefly_iii_auth](../README.md#firefly_iii_auth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded
- **Accept**: application/json


## update_piggy_bank

> <PiggyBankSingle> update_piggy_bank(id, piggy_bank)

Update existing piggy bank.

Update existing piggy bank.

### Examples

```ruby
require 'time'
require 'firefly_iii_client'
# setup authorization
FireflyIIIClient.configure do |config|
  # Configure OAuth2 access token for authorization: firefly_iii_auth
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = FireflyIIIClient::PiggyBanksApi.new
id = 1 # Integer | The ID of the piggy bank
piggy_bank = FireflyIIIClient::PiggyBank.new({ name: 'New digital camera', account_id: 13, target_amount: 800 }) # PiggyBank | JSON array with updated piggy bank information. See the model for the exact specifications.

begin
  # Update existing piggy bank.
  result = api_instance.update_piggy_bank(id, piggy_bank)
  p result
rescue FireflyIIIClient::ApiError => e
  puts "Error when calling PiggyBanksApi->update_piggy_bank: #{e}"
end
```

#### Using the update_piggy_bank_with_http_info variant

This returns an Array which contains the response data, status code and headers.

> <Array(<PiggyBankSingle>, Integer, Hash)> update_piggy_bank_with_http_info(id, piggy_bank)

```ruby

begin
  # Update existing piggy bank.
  data, status_code, headers = api_instance.update_piggy_bank_with_http_info(id, piggy_bank)
  p status_code # => 2xx
  p headers # => { ... }
  p data # => <PiggyBankSingle>
rescue FireflyIIIClient::ApiError => e
  puts "Error when calling PiggyBanksApi->update_piggy_bank_with_http_info: #{e}"
end
```

### Parameters

| Name | Type | Description | Notes |
| ---- | ---- | ----------- | ----- |
| **id** | **Integer** | The ID of the piggy bank |  |
| **piggy_bank** | [**PiggyBank**](PiggyBank.md) | JSON array with updated piggy bank information. See the model for the exact specifications. |  |

### Return type

[**PiggyBankSingle**](PiggyBankSingle.md)

### Authorization

[firefly_iii_auth](../README.md#firefly_iii_auth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded
- **Accept**: application/json

