# FireflyIIIClient::Recurrence

## Properties

| Name | Type | Description | Notes |
| ---- | ---- | ----------- | ----- |
| **created_at** | **Time** |  | [optional][readonly] |
| **updated_at** | **Time** |  | [optional][readonly] |
| **type** | **String** |  |  |
| **title** | **String** |  |  |
| **description** | **String** | Not to be confused with the description of the actual transaction(s) being created. | [optional] |
| **first_date** | **Date** | First time the recurring transaction will fire. Must be after today. |  |
| **latest_date** | **Date** | First time the recurring transaction will fire. Must be after today. | [optional] |
| **repeat_until** | **Date** | Date until the recurring transaction can fire. Use either this field or repetitions. | [optional] |
| **nr_of_repetitions** | **Integer** | Max number of created transactions. Use either this field or repeat_until. | [optional] |
| **apply_rules** | **Boolean** | Whether or not to fire the rules after the creation of a transaction. | [optional] |
| **active** | **Boolean** | If the recurrence is even active. | [optional] |
| **notes** | **String** |  | [optional] |
| **repetitions** | [**Array&lt;RecurrenceRepetition&gt;**](RecurrenceRepetition.md) |  | [optional] |
| **transactions** | [**Array&lt;RecurrenceTransaction&gt;**](RecurrenceTransaction.md) |  | [optional] |

## Example

```ruby
require 'firefly_iii_client'

instance = FireflyIIIClient::Recurrence.new(
  created_at: 2018 - 09 - 17 T12 : 46 : 47 + 01 : 00,
  updated_at : 2018 - 09 - 17 T12 : 46 : 47 + 01 : 00,
  type : withdrawal,
    title : Rent,
    description : Recurring transaction for the monthly rent,
                                                        first_date: Sun
                                          Sep 17 00 : 00 : 00 GMT 2017,
                                                                  latest_date: Mon Sep 17 00 : 00 : 00 GMT 2018,
                                                                                                           repeat_until: Mon Sep 17 00 : 00 : 00 GMT 2018,
                                                                                                                                                     nr_of_repetitions: 5,
                                                                                                                                                     apply_rules: true,
                                                                                                                                                     active: true,
                                                                                                                                                     notes: Some notes,
                                            repetitions : null,
                                            transactions : null
                                          )
```

