# FireflyIIIClient::RecurrenceRepetition

## Properties

| Name | Type | Description | Notes |
| ---- | ---- | ----------- | ----- |
| **id** | **Integer** |  | [optional][readonly] |
| **created_at** | **Time** |  | [optional][readonly] |
| **updated_at** | **Time** |  | [optional][readonly] |
| **type** | **String** | The type of the repetition. ndom means: the n-th weekday of the month, where you can also specify which day of the week. |  |
| **moment** | **String** | Information that defined the type of repetition. - For &#39;daily&#39;, this is empty. - For &#39;weekly&#39;, it is day of the week between 1 and 7 (Monday - Sunday). - For &#39;ndom&#39;, it is &#39;1,2&#39; or &#39;4,5&#39; or something else, where the first number is the week in the month, and the second number is the day in the week (between 1 and 7). &#39;2,3&#39; means: the 2nd Wednesday of the month - For &#39;monthly&#39; it is the day of the month (1 - 31) - For yearly, it is a full date, ie &#39;2018-09-17&#39;. The year you use does not matter.  |  |
| **skip** | **Integer** | How many occurrences to skip. 0 means skip nothing. 1 means every other. | [optional] |
| **weekend** | **Integer** | How to respond when the recurring transaction falls in the weekend. Possible values: 1. Do nothing, just create it 2. Create no transaction. 3. Skip to the previous Friday. 4. Skip to the next Monday.  | [optional] |
| **description** | **String** | Auto-generated repetition description. | [optional][readonly] |
| **occurrences** | **Array&lt;Date&gt;** | Array of future dates when the repetition will apply to. Auto generated. | [optional][readonly] |

## Example

```ruby
require 'firefly_iii_client'

instance = FireflyIIIClient::RecurrenceRepetition.new(
  id: 2,
  created_at: 2018 - 09 - 17 T12 : 46 : 47 + 01 : 00,
  updated_at : 2018 - 09 - 17 T12 : 46 : 47 + 01 : 00,
  type : weekly,
    moment : 3,
  skip : 0,
  weekend : 1,
  description : Every week on Friday,
                              occurrences: null
)
```

