# FireflyIIIClient::RecurrenceTransaction

## Properties

| Name | Type | Description | Notes |
| ---- | ---- | ----------- | ----- |
| **description** | **String** |  |  |
| **amount** | **Float** | Amount of the transaction. |  |
| **foreign_amount** | **Float** | Foreign amount of the transaction. | [optional] |
| **currency_id** | **Integer** | Submit either a currency_id or a currency_code. | [optional] |
| **currency_code** | **String** | Submit either a currency_id or a currency_code. | [optional] |
| **currency_symbol** | **String** |  | [optional][readonly] |
| **currency_decimal_places** | **Integer** | Number of decimals in the currency | [optional][readonly] |
| **foreign_currency_id** | **Integer** | Submit either a foreign_currency_id or a foreign_currency_code, or neither. | [optional] |
| **foreign_currency_code** | **String** | Submit either a foreign_currency_id or a foreign_currency_code, or neither. | [optional] |
| **foreign_currency_symbol** | **String** |  | [optional][readonly] |
| **foreign_currency_decimal_places** | **Integer** | Number of decimals in the currency | [optional][readonly] |
| **budget_id** | **Integer** | The budget ID for this transaction. | [optional] |
| **budget_name** | **String** | The name of the budget to be used. If the budget name is unknown, the ID will be used or the value will be ignored. | [optional][readonly] |
| **category_id** | **Integer** | Category ID for this transaction. | [optional] |
| **category_name** | **String** | Category name for this transaction. | [optional] |
| **source_id** | **Integer** | ID of the source account. Submit either this or source_name. | [optional] |
| **source_name** | **String** | Name of the source account. Submit either this or source_id. | [optional] |
| **source_iban** | **String** |  | [optional][readonly] |
| **source_type** | [**AccountTypeProperty**](AccountTypeProperty.md) |  | [optional] |
| **destination_id** | **Integer** | ID of the destination account. Submit either this or destination_name. | [optional] |
| **destination_name** | **String** | Name of the destination account. Submit either this or destination_id. | [optional] |
| **destination_iban** | **String** |  | [optional][readonly] |
| **destination_type** | [**AccountTypeProperty**](AccountTypeProperty.md) |  | [optional] |
| **tags** | **Array&lt;String&gt;** | Array of tags. | [optional] |
| **piggy_bank_id** | **Integer** | Optional. Use either this or the piggy_bank_name | [optional] |
| **piggy_bank_name** | **String** | Optional. Use either this or the piggy_bank_id | [optional] |

## Example

```ruby
require 'firefly_iii_client'

instance = FireflyIIIClient::RecurrenceTransaction.new(
  description: Rent for the current month,
                                    amount: -810.12,
                                    foreign_amount: -990,
                                    currency_id: 3,
                                    currency_code: EUR,
                                    currency_symbol: €,
                                    currency_decimal_places: 2,
                                    foreign_currency_id: 17,
                                    foreign_currency_code: GBP,
                                    foreign_currency_symbol: $,
                      foreign_currency_decimal_places : 2,
                        budget_id : 4,
                        budget_name : Groceries,
                        category_id : 211,
                        category_name : Bills,
                        source_id : 913,
                        source_name : Checking account,
                                               source_iban: NL02ABNA0123456789,
                                               source_type: null,
                                               destination_id: 258,
                                               destination_name: Buy and Large,
                        destination_iban : NL02ABNA0123456789,
                        destination_type : null,
                        tags : null,
                        piggy_bank_id : null,
                        piggy_bank_name : null
                      )
```

