# FireflyIIIClient::Rule

## Properties

| Name | Type | Description | Notes |
| ---- | ---- | ----------- | ----- |
| **created_at** | **Time** |  | [optional][readonly] |
| **updated_at** | **Time** |  | [optional][readonly] |
| **title** | **String** |  |  |
| **description** | **String** |  | [optional] |
| **rule_group_id** | **Integer** | ID of the rule group under which the rule must be stored. Either this field or rule_group_title is mandatory. |  |
| **rule_group_title** | **String** | Title of the rule group under which the rule must be stored. Either this field or rule_group_id is mandatory. | [optional] |
| **order** | **Integer** |  | [optional][readonly] |
| **trigger** | **String** | Which action is necessary for the rule to fire? Use either store-journal or update-journal. |  |
| **active** | **Boolean** | Whether or not the rule is even active. Default is true. | [optional] |
| **strict** | **Boolean** | If the rule is set to be strict, ALL triggers must hit in order for the rule to fire. Otherwise, just one is enough. Default value is true. | [optional] |
| **stop_processing** | **Boolean** | If this value is true and the rule is triggered, other rules  after this one in the group will be skipped. Default value is false. | [optional] |
| **triggers** | [**Array&lt;RuleTrigger&gt;**](RuleTrigger.md) |  |  |
| **actions** | [**Array&lt;RuleAction&gt;**](RuleAction.md) |  |  |

## Example

```ruby
require 'firefly_iii_client'

instance = FireflyIIIClient::Rule.new(
  created_at: 2018 - 09 - 17 T12 : 46 : 47 + 01 : 00,
  updated_at : 2018 - 09 - 17 T12 : 46 : 47 + 01 : 00,
  title : First rule title.,
                     description: First rule description,
                                             rule_group_id: 81,
                                             rule_group_title: New rule group,
                                                                        order: 5,
                                                                        trigger: store - journal,
                                                                        active: true,
                                                                        strict: true,
                                                                        stop_processing: false,
                                                                        triggers: null,
                                                                        actions: null
)
```

