# FireflyIIIClient::RuleAction

## Properties

| Name | Type | Description | Notes |
| ---- | ---- | ----------- | ----- |
| **id** | **Integer** |  | [optional][readonly] |
| **created_at** | **Time** |  | [optional][readonly] |
| **updated_at** | **Time** |  | [optional][readonly] |
| **type** | **String** | The type of thing this action will do. A limited set is possible. |  |
| **value** | **String** | The accompanying value the action will set, change or update. Can be empty, but for some types this value is mandatory. |  |
| **order** | **Integer** | Order of the action | [optional] |
| **active** | **Boolean** | If the action is active. | [optional] |
| **stop_processing** | **Boolean** | When true, other actions will not be fired after this action has fired. | [optional] |

## Example

```ruby
require 'firefly_iii_client'

instance = FireflyIIIClient::RuleAction.new(
  id: 2,
  created_at: 2018 - 09 - 17 T12 : 46 : 47 + 01 : 00,
  updated_at : 2018 - 09 - 17 T12 : 46 : 47 + 01 : 00,
  type : set_category,
    value : Daily groceries,
                  order: 5,
                  active: true,
                  stop_processing: false
)
```

