# FireflyIIIClient::RuleTrigger

## Properties

| Name | Type | Description | Notes |
| ---- | ---- | ----------- | ----- |
| **id** | **Integer** |  | [optional][readonly] |
| **created_at** | **Time** |  | [optional][readonly] |
| **updated_at** | **Time** |  | [optional][readonly] |
| **type** | **String** | The type of thing this trigger responds to. A limited set is possible |  |
| **value** | **String** | The accompanying value the trigger responds to. This value is often mandatory, but this depends on the trigger. |  |
| **order** | **Integer** | Order of the trigger | [optional][readonly] |
| **active** | **Boolean** | If the trigger is active. | [optional] |
| **stop_processing** | **Boolean** | When true, other triggers will not be checked if this trigger was triggered. | [optional] |

## Example

```ruby
require 'firefly_iii_client'

instance = FireflyIIIClient::RuleTrigger.new(
  id: 2,
  created_at: 2018 - 09 - 17 T12 : 46 : 47 + 01 : 00,
  updated_at : 2018 - 09 - 17 T12 : 46 : 47 + 01 : 00,
  type : user_action,
    value : tag1,
    order : 5,
  active : true,
    stop_processing : false
)
```

