# FireflyIIIClient::SummaryApi

All URIs are relative to *https://demo.firefly-iii.org*

| Method | HTTP request | Description |
| ------ | ------------ | ----------- |
| [**get_basic_summary**](SummaryApi.md#get_basic_summary) | **GET** /api/v1/summary/basic | Returns basic sums of the users data. |


## get_basic_summary

> <Array<BasicSummaryEntry>> get_basic_summary(start, _end, opts)

Returns basic sums of the users data.

Returns basic sums of the users data, like the net worth, spent and earned amounts. It is multi-currency, and is in Firefly III to populate the dashboard. 

### Examples

```ruby
require 'time'
require 'firefly_iii_client'
# setup authorization
FireflyIIIClient.configure do |config|
  # Configure OAuth2 access token for authorization: firefly_iii_auth
  config.access_token = 'YOUR ACCESS TOKEN'
end

api_instance = FireflyIIIClient::SummaryApi.new
start = Date.parse('2013-10-20') # Date | A date formatted YYYY-MM-DD. 
_end = Date.parse('2013-10-20') # Date | A date formatted YYYY-MM-DD. 
opts = {
  currency_code: 'currency_code_example' # String | A currency code like EUR or USD, to filter the result. 
}

begin
  # Returns basic sums of the users data.
  result = api_instance.get_basic_summary(start, _end, opts)
  p result
rescue FireflyIIIClient::ApiError => e
  puts "Error when calling SummaryApi->get_basic_summary: #{e}"
end
```

#### Using the get_basic_summary_with_http_info variant

This returns an Array which contains the response data, status code and headers.

> <Array(<Array<BasicSummaryEntry>>, Integer, Hash)> get_basic_summary_with_http_info(start, _end, opts)

```ruby

begin
  # Returns basic sums of the users data.
  data, status_code, headers = api_instance.get_basic_summary_with_http_info(start, _end, opts)
  p status_code # => 2xx
  p headers # => { ... }
  p data # => <Array<BasicSummaryEntry>>
rescue FireflyIIIClient::ApiError => e
  puts "Error when calling SummaryApi->get_basic_summary_with_http_info: #{e}"
end
```

### Parameters

| Name | Type | Description | Notes |
| ---- | ---- | ----------- | ----- |
| **start** | **Date** | A date formatted YYYY-MM-DD.  |  |
| **_end** | **Date** | A date formatted YYYY-MM-DD.  |  |
| **currency_code** | **String** | A currency code like EUR or USD, to filter the result.  | [optional] |

### Return type

[**Array&lt;BasicSummaryEntry&gt;**](BasicSummaryEntry.md)

### Authorization

[firefly_iii_auth](../README.md#firefly_iii_auth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

