# FireflyIIIClient::TagModel

## Properties

| Name | Type | Description | Notes |
| ---- | ---- | ----------- | ----- |
| **created_at** | **Time** |  | [optional][readonly] |
| **updated_at** | **Time** |  | [optional][readonly] |
| **tag** | **String** | The tag |  |
| **date** | **Date** | The date to which the tag is applicable. | [optional] |
| **description** | **String** |  | [optional] |
| **latitude** | **Float** | Latitude of the tag&#39;s location, if applicable. Can be used to draw a map. | [optional] |
| **longitude** | **Float** | Latitude of the tag&#39;s location, if applicable. Can be used to draw a map. | [optional] |
| **zoom_level** | **Integer** | Zoom level for the map, if drawn. This to set the box right. Unfortunately this is a proprietary value because each map provider has different zoom levels. | [optional] |

## Example

```ruby
require 'firefly_iii_client'

instance = FireflyIIIClient::TagModel.new(
  created_at: 2018 - 09 - 17 T12 : 46 : 47 + 01 : 00,
  updated_at : 2018 - 09 - 17 T12 : 46 : 47 + 01 : 00,
  tag : expensive,
    date : Mon Sep 17 00 : 00 : 00 GMT 2018,
                                       description: Tag
for expensive stuff
  ,
    latitude : 51.983333,
    longitude : 5.916667,
    zoom_level : 6
  )
```

