# FireflyIIIClient::TransactionLink

## Properties

| Name | Type | Description | Notes |
| ---- | ---- | ----------- | ----- |
| **created_at** | **Time** |  | [optional][readonly] |
| **updated_at** | **Time** |  | [optional][readonly] |
| **link_type_id** | **Integer** | The link type ID to use. You can also use the link_type_name field. |  |
| **link_type_name** | **String** | The link type name to use. You can also use the link_type_id field. | [optional] |
| **inward_id** | **Integer** | The inward transaction transaction_journal_id for the link. This becomes the &#39;is paid by&#39; transaction of the set. |  |
| **outward_id** | **Integer** | The outward transaction transaction_journal_id for the link. This becomes the &#39;pays for&#39; transaction of the set. |  |
| **notes** | **String** | Optional. Some notes. | [optional] |

## Example

```ruby
require 'firefly_iii_client'

instance = FireflyIIIClient::TransactionLink.new(
  created_at: 2018 - 09 - 17 T12 : 46 : 47 + 01 : 00,
  updated_at : 2018 - 09 - 17 T12 : 46 : 47 + 01 : 00,
  link_type_id : 5,
  link_type_name : Is paid by,
                           inward_id: 131,
                           outward_id: 131,
                           notes: Some example notes
)
```

