=begin
#Firefly III API

#This is the official documentation of the Firefly III API. You can find accompanying documentation on the website of Firefly III itself (see below). Please report any bugs or issues. This version of the API is live from version v4.7.9 and onwards. You may use the \"Authorize\" button to try the API below. 

The version of the OpenAPI document: 0.10.4-modified
Contact: thegrumpydictator@gmail.com
Generated by: https://openapi-generator.tech
OpenAPI Generator version: 5.1.0-SNAPSHOT

=end

require 'spec_helper'
require 'json'

# Unit tests for FireflyIIIClient::AccountsApi
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'AccountsApi' do
  before do
    # run before each test
    @api_instance = FireflyIIIClient::AccountsApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of AccountsApi' do
    it 'should create an instance of AccountsApi' do
      expect(@api_instance).to be_instance_of(FireflyIIIClient::AccountsApi)
    end
  end

  # unit tests for delete_account
  # Permanently delete account.
  # Will permanently delete an account. Any associated transactions and piggy banks are ALSO deleted. Cannot be recovered from. 
  # @param id The ID of the account.
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'delete_account test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_account
  # Get single account.
  # Returns a single account by its ID. 
  # @param id The ID of the account.
  # @param [Hash] opts the optional parameters
  # @option opts [Date] :date A date formatted YYYY-MM-DD. When added to the request, Firefly III will show the account&#39;s balance on that day. 
  # @return [AccountSingle]
  describe 'get_account test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_account
  # List all accounts.
  # This endpoint returns a list of all the accounts owned by the authenticated user. 
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page Page number. The default pagination is per 50 items.
  # @option opts [Date] :date A date formatted YYYY-MM-DD. When added to the request, Firefly III will show the account&#39;s balance on that day. 
  # @option opts [AccountTypeFilter] :type Optional filter on the account type(s) returned
  # @return [AccountArray]
  describe 'list_account test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_piggy_bank_by_account
  # List all piggy banks related to the account.
  # This endpoint returns a list of all the piggy banks connected to the account. 
  # @param id The ID of the account.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page Page number. The default pagination is per 50 items.
  # @return [PiggyBankArray]
  describe 'list_piggy_bank_by_account test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_transaction_by_account
  # List all transactions related to the account.
  # This endpoint returns a list of all the transactions connected to the account. 
  # @param id The ID of the account.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page Page number. The default pagination is per 50 items.
  # @option opts [Integer] :limit Limits the number of results on one page.
  # @option opts [Date] :start A date formatted YYYY-MM-DD. 
  # @option opts [Date] :_end A date formatted YYYY-MM-DD. 
  # @option opts [TransactionTypeFilter] :type Optional filter on the transaction type(s) returned.
  # @return [TransactionArray]
  describe 'list_transaction_by_account test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for store_account
  # Create new account.
  # Creates a new account. The data required can be submitted as a JSON body or as a list of parameters (in key&#x3D;value pairs, like a webform).
  # @param account JSON array with the necessary account information or key&#x3D;value pairs. See the model for the exact specifications.
  # @param [Hash] opts the optional parameters
  # @return [AccountSingle]
  describe 'store_account test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_account
  # Update existing account.
  # Used to update a single account. All fields that are not submitted will be cleared (set to NULL). The model will tell you which fields are mandatory. 
  # @param id The ID of the account.
  # @param account JSON array or formdata with updated account information. See the model for the exact specifications.
  # @param [Hash] opts the optional parameters
  # @return [AccountSingle]
  describe 'update_account test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
