=begin
#Firefly III API

#This is the official documentation of the Firefly III API. You can find accompanying documentation on the website of Firefly III itself (see below). Please report any bugs or issues. This version of the API is live from version v4.7.9 and onwards. You may use the \"Authorize\" button to try the API below. 

The version of the OpenAPI document: 0.10.4-modified
Contact: thegrumpydictator@gmail.com
Generated by: https://openapi-generator.tech
OpenAPI Generator version: 5.1.0-SNAPSHOT

=end

require 'spec_helper'
require 'json'

# Unit tests for FireflyIIIClient::BillsApi
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'BillsApi' do
  before do
    # run before each test
    @api_instance = FireflyIIIClient::BillsApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of BillsApi' do
    it 'should create an instance of BillsApi' do
      expect(@api_instance).to be_instance_of(FireflyIIIClient::BillsApi)
    end
  end

  # unit tests for delete_bill
  # Delete a bill.
  # Delete a bill. This will not delete any associated rules. Will not remove associated transactions. WILL remove all associated attachments.
  # @param id The ID of the bill.
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'delete_bill test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_bill
  # Get a single bill.
  # Get a single bill.
  # @param id The ID of the bill.
  # @param [Hash] opts the optional parameters
  # @option opts [Date] :start A date formatted YYYY-MM-DD. If it is are added to the request, Firefly III will calculate the appropriate payment and paid dates. 
  # @option opts [Date] :_end A date formatted YYYY-MM-DD. If it is added to the request, Firefly III will calculate the appropriate payment and paid dates. 
  # @return [BillSingle]
  describe 'get_bill test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_attachment_by_bill
  # List all attachments uploaded to the bill.
  # This endpoint will list all attachments linked to the bill.
  # @param id The ID of the bill.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page Page number. The default pagination is 50.
  # @return [AttachmentArray]
  describe 'list_attachment_by_bill test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_bill
  # List all bills.
  # This endpoint will list all the user&#39;s bills.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page Page number. The default pagination is 50.
  # @option opts [Date] :start A date formatted YYYY-MM-DD. If it is are added to the request, Firefly III will calculate the appropriate payment and paid dates. 
  # @option opts [Date] :_end A date formatted YYYY-MM-DD. If it is added to the request, Firefly III will calculate the appropriate payment and paid dates. 
  # @return [BillArray]
  describe 'list_bill test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_rule_by_bill
  # List all rules associated with the bill.
  # This endpoint will list all rules that have an action to set the bill to this bill.
  # @param id The ID of the bill.
  # @param [Hash] opts the optional parameters
  # @return [RuleArray]
  describe 'list_rule_by_bill test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_transaction_by_bill
  # List all transactions associated with the  bill.
  # This endpoint will list all transactions linked to this bill.
  # @param id The ID of the bill.
  # @param [Hash] opts the optional parameters
  # @option opts [Date] :start A date formatted YYYY-MM-DD. 
  # @option opts [Date] :_end A date formatted YYYY-MM-DD. 
  # @option opts [TransactionTypeFilter] :type Optional filter on the transaction type(s) returned
  # @return [TransactionArray]
  describe 'list_transaction_by_bill test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for store_bill
  # Store a new bill
  # Creates a new bill. The data required can be submitted as a JSON body or as a list of parameters.
  # @param bill JSON array or key&#x3D;value pairs with the necessary bill information. See the model for the exact specifications.
  # @param [Hash] opts the optional parameters
  # @return [BillSingle]
  describe 'store_bill test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_bill
  # Update existing bill.
  # Update existing bill.
  # @param id The ID of the bill.
  # @param bill JSON array or key&#x3D;value pairs with updated bill information. See the model for the exact specifications.
  # @param [Hash] opts the optional parameters
  # @return [BillSingle]
  describe 'update_bill test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
