=begin
#Firefly III API

#This is the official documentation of the Firefly III API. You can find accompanying documentation on the website of Firefly III itself (see below). Please report any bugs or issues. This version of the API is live from version v4.7.9 and onwards. You may use the \"Authorize\" button to try the API below. 

The version of the OpenAPI document: 0.10.4-modified
Contact: thegrumpydictator@gmail.com
Generated by: https://openapi-generator.tech
OpenAPI Generator version: 5.1.0-SNAPSHOT

=end

require 'spec_helper'
require 'json'

# Unit tests for FireflyIIIClient::BudgetsApi
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'BudgetsApi' do
  before do
    # run before each test
    @api_instance = FireflyIIIClient::BudgetsApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of BudgetsApi' do
    it 'should create an instance of BudgetsApi' do
      expect(@api_instance).to be_instance_of(FireflyIIIClient::BudgetsApi)
    end
  end

  # unit tests for delete_budget
  # Delete a budget.
  # Delete a budget. Transactions will not be deleted.
  # @param id The ID of the budget.
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'delete_budget test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for delete_budget_limit
  # Delete a budget limit.
  # Delete a budget limit.
  # @param id The ID of the requested budget limit.
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'delete_budget_limit test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_budget
  # Get a single budget.
  # Get a single budget. If the start date and end date are submitted as well, the \&quot;spent\&quot; array will be updated accordingly.
  # @param id The ID of the requested budget.
  # @param [Hash] opts the optional parameters
  # @option opts [Date] :start_date A date formatted YYYY-MM-DD, to get info on how much the user has spent. 
  # @option opts [Date] :end_date A date formatted YYYY-MM-DD, to get info on how much the user has spent. 
  # @return [BudgetSingle]
  describe 'get_budget test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_budget_limit
  # Get single budget limit.
  # @param id The ID of the requested budget limit.
  # @param [Hash] opts the optional parameters
  # @return [BudgetLimitSingle]
  describe 'get_budget_limit test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_budget
  # List all budgets.
  # List all the budgets the user has made. If the start date and end date are submitted as well, the \&quot;spent\&quot; array will be updated accordingly.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page Page number. The default pagination is 50.
  # @option opts [Date] :start A date formatted YYYY-MM-DD, to get info on how much the user has spent. You must submit both start and end. 
  # @option opts [Date] :_end A date formatted YYYY-MM-DD, to get info on how much the user has spent. You must submit both start and end. 
  # @return [BudgetArray]
  describe 'list_budget test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_budget_limit_by_budget
  # Get all limits
  # Get all budget limits for this budget and the money spent, and money left. You can limit the list by submitting a date range as well. The \&quot;spent\&quot; array for each budget limit is NOT influenced by the start and end date of your query, but by the start and end date of the budget limit itself. 
  # @param id The ID of the requested budget.
  # @param [Hash] opts the optional parameters
  # @option opts [Date] :start A date formatted YYYY-MM-DD. 
  # @option opts [Date] :_end A date formatted YYYY-MM-DD. 
  # @return [BudgetLimitArray]
  describe 'list_budget_limit_by_budget test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_transaction_by_budget
  # All transactions to a budget.
  # Get all transactions linked to a budget, possibly limited by start and end
  # @param id The ID of the budget.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :limit Limits the number of results on one page.
  # @option opts [Integer] :page Page number. The default pagination is 50.
  # @option opts [Date] :start A date formatted YYYY-MM-DD. 
  # @option opts [Date] :_end A date formatted YYYY-MM-DD. 
  # @option opts [TransactionTypeFilter] :type Optional filter on the transaction type(s) returned
  # @return [TransactionArray]
  describe 'list_transaction_by_budget test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_transaction_by_budget_limit
  # List all transactions by a budget limit ID.
  # List all the transactions within one budget limit. The start and end date are dictated by the budget limit.
  # @param id The ID of the requested budget limit.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page Page number. The default pagination is 50.
  # @option opts [TransactionTypeFilter] :type Optional filter on the transaction type(s) returned
  # @return [TransactionArray]
  describe 'list_transaction_by_budget_limit test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for store_budget
  # Store a new budget
  # Creates a new budget. The data required can be submitted as a JSON body or as a list of parameters.
  # @param budget JSON array or key&#x3D;value pairs with the necessary budget information. See the model for the exact specifications.
  # @param [Hash] opts the optional parameters
  # @return [BudgetSingle]
  describe 'store_budget test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for store_budget_limit
  # Store new budget limit.
  # Store a new budget limit.
  # @param id The ID of the budget.
  # @param budget_limit JSON array or key&#x3D;value pairs with the necessary budget information. See the model for the exact specifications.
  # @param [Hash] opts the optional parameters
  # @return [BudgetLimitSingle]
  describe 'store_budget_limit test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_budget
  # Update existing budget.
  # Update existing budget. This endpoint cannot be used to set budget amount limits.
  # @param id The ID of the budget.
  # @param budget JSON array with updated budget information. See the model for the exact specifications.
  # @param [Hash] opts the optional parameters
  # @return [BudgetSingle]
  describe 'update_budget test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_budget_limit
  # Update existing budget limit.
  # Update existing budget limit.
  # @param id The ID of the requested budget limit. The budget limit MUST be associated to the budget ID.
  # @param budget_limit JSON array with updated budget limit information. See the model for the exact specifications.
  # @param [Hash] opts the optional parameters
  # @return [BudgetLimitSingle]
  describe 'update_budget_limit test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
