=begin
#Firefly III API

#This is the official documentation of the Firefly III API. You can find accompanying documentation on the website of Firefly III itself (see below). Please report any bugs or issues. This version of the API is live from version v4.7.9 and onwards. You may use the \"Authorize\" button to try the API below. 

The version of the OpenAPI document: 0.10.4-modified
Contact: thegrumpydictator@gmail.com
Generated by: https://openapi-generator.tech
OpenAPI Generator version: 5.1.0-SNAPSHOT

=end

require 'spec_helper'
require 'json'

# Unit tests for FireflyIIIClient::CurrenciesApi
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'CurrenciesApi' do
  before do
    # run before each test
    @api_instance = FireflyIIIClient::CurrenciesApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of CurrenciesApi' do
    it 'should create an instance of CurrenciesApi' do
      expect(@api_instance).to be_instance_of(FireflyIIIClient::CurrenciesApi)
    end
  end

  # unit tests for default_currency
  # Make currency default currency.
  # Make this currency the default currency. If the currency is not enabled, it will be enabled as well.
  # @param code The currency code.
  # @param [Hash] opts the optional parameters
  # @return [CurrencySingle]
  describe 'default_currency test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for delete_currency
  # Delete a currency.
  # Delete a currency.
  # @param code The currency code.
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'delete_currency test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for disable_currency
  # Disable a currency.
  # Disable a currency.
  # @param code The currency code.
  # @param [Hash] opts the optional parameters
  # @return [CurrencySingle]
  describe 'disable_currency test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for enable_currency
  # Enable a single currency.
  # Enable a single currency.
  # @param code The currency code.
  # @param [Hash] opts the optional parameters
  # @return [CurrencySingle]
  describe 'enable_currency test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_currency
  # Get a single currency.
  # Get a single currency.
  # @param code The currency code.
  # @param [Hash] opts the optional parameters
  # @return [CurrencySingle]
  describe 'get_currency test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_account_by_currency
  # List all accounts with this currency.
  # List all accounts with this currency.
  # @param code The currency code.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page Page number. The default pagination is 50.
  # @option opts [String] :date A date formatted YYYY-MM-DD. When added to the request, Firefly III will show the account&#39;s balance on that day. 
  # @option opts [AccountTypeFilter] :type Optional filter on the account type(s) returned
  # @return [AccountArray]
  describe 'list_account_by_currency test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_available_budget_by_currency
  # List all available budgets with this currency.
  # List all available budgets with this currency.
  # @param code The currency code.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page Page number. The default pagination is 50
  # @return [AvailableBudgetArray]
  describe 'list_available_budget_by_currency test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_bill_by_currency
  # List all bills with this currency.
  # List all bills with this currency.
  # @param code The currency code.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page Page number. The default pagination is 50.
  # @return [BillArray]
  describe 'list_bill_by_currency test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_budget_limit_by_currency
  # List all budget limits with this currency
  # List all budget limits with this currency
  # @param code The currency code.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page Page number. The default pagination is 50.
  # @option opts [Date] :start Start date for the budget limit list.
  # @option opts [Date] :_end End date for the budget limit list.
  # @return [BudgetLimitArray]
  describe 'list_budget_limit_by_currency test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_currency
  # List all currencies.
  # List all currencies.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page Page number. The default pagination is 50.
  # @return [CurrencyArray]
  describe 'list_currency test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_exchange_rate_by_currency
  # List all known exchange rates with (from or to) this currency.
  # List all known exchange rates.
  # @param code The currency code.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page Page number. The default pagination is 50.
  # @option opts [Date] :date The date of which you want to know the exchange rate 
  # @option opts [Date] :start Use this instead of the date parameter to search for a range of currency exchange values. 
  # @option opts [Date] :_end Use this instead of the date parameter to search for a range of currency exchange values. 
  # @return [ExchangeRateArray]
  describe 'list_exchange_rate_by_currency test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_recurrence_by_currency
  # List all recurring transactions with this currency.
  # List all recurring transactions with this currency.
  # @param code The currency code.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page Page number. The default pagination is 50.
  # @return [RecurrenceArray]
  describe 'list_recurrence_by_currency test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_rule_by_currency
  # List all rules with this currency.
  # List all rules with this currency.
  # @param code The currency code.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page Page number. The default pagination per 50.
  # @return [RuleArray]
  describe 'list_rule_by_currency test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_transaction_by_currency
  # List all transactions with this currency.
  # List all transactions with this currency.
  # @param code The currency code.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page Page number. The default pagination is per 50.
  # @option opts [Date] :start_date A date formatted YYYY-MM-DD, to limit the list of transactions. 
  # @option opts [Date] :end_date A date formatted YYYY-MM-DD, to limit the list of transactions. 
  # @option opts [TransactionTypeFilter] :type Optional filter on the transaction type(s) returned
  # @return [TransactionArray]
  describe 'list_transaction_by_currency test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for store_currency
  # Store a new currency
  # Creates a new currency. The data required can be submitted as a JSON body or as a list of parameters.
  # @param currency JSON array or key&#x3D;value pairs with the necessary currency information. See the model for the exact specifications.
  # @param [Hash] opts the optional parameters
  # @return [CurrencySingle]
  describe 'store_currency test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_currency
  # Update existing currency.
  # Update existing currency.
  # @param code The currency code.
  # @param currency JSON array with updated currency information. See the model for the exact specifications.
  # @param [Hash] opts the optional parameters
  # @return [CurrencySingle]
  describe 'update_currency test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
