=begin
#Firefly III API

#This is the official documentation of the Firefly III API. You can find accompanying documentation on the website of Firefly III itself (see below). Please report any bugs or issues. This version of the API is live from version v4.7.9 and onwards. You may use the \"Authorize\" button to try the API below. 

The version of the OpenAPI document: 0.10.4-modified
Contact: thegrumpydictator@gmail.com
Generated by: https://openapi-generator.tech
OpenAPI Generator version: 5.1.0-SNAPSHOT

=end

require 'spec_helper'
require 'json'

# Unit tests for FireflyIIIClient::LinksApi
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'LinksApi' do
  before do
    # run before each test
    @api_instance = FireflyIIIClient::LinksApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of LinksApi' do
    it 'should create an instance of LinksApi' do
      expect(@api_instance).to be_instance_of(FireflyIIIClient::LinksApi)
    end
  end

  # unit tests for delete_link_type
  # Permanently delete link type.
  # Will permanently delete a link type. The links between transactions will be removed. The transactions themselves remain. You cannot delete some of the system provided link types, indicated by the editable&#x3D;false flag when you list it. 
  # @param id The ID of the link type.
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'delete_link_type test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for delete_transaction_link
  # Permanently delete link between transactions.
  # Will permanently delete link. Transactions remain. 
  # @param id The ID of the transaction link.
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'delete_transaction_link test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_link_type
  # Get single a link type.
  # Returns a single link type by its ID. 
  # @param id The ID of the link type.
  # @param [Hash] opts the optional parameters
  # @return [LinkTypeSingle]
  describe 'get_link_type test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_transaction_link
  # Get a single link.
  # Returns a single link by its ID. 
  # @param id The ID of the transaction link.
  # @param [Hash] opts the optional parameters
  # @return [TransactionLinkSingle]
  describe 'get_transaction_link test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_link_type
  # List all types of links.
  # List all the link types the system has. These include the default ones as well as any new ones. 
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page Page number. The default pagination is 50 items.
  # @return [LinkTypeArray]
  describe 'list_link_type test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_transaction_by_link_type
  # List all transactions under this link type.
  # List all transactions under this link type, both the inward and outward transactions. 
  # @param id The ID of the link type.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page Page number. The default pagination is per 50 items.
  # @option opts [Date] :start A date formatted YYYY-MM-DD, to limit the results. 
  # @option opts [Date] :_end A date formatted YYYY-MM-DD, to limit the results. 
  # @option opts [TransactionTypeFilter] :type Optional filter on the transaction type(s) returned.
  # @return [TransactionArray]
  describe 'list_transaction_by_link_type test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_transaction_link
  # List all transaction links.
  # List all the transaction links. 
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page Page number. The default pagination is per 50 items.
  # @return [TransactionLinkArray]
  describe 'list_transaction_link test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for store_link_type
  # Create a new link type
  # Creates a new link type. The data required can be submitted as a JSON body or as a list of parameters (in key&#x3D;value pairs, like a webform).
  # @param link_type JSON array with the necessary link type information or key&#x3D;value pairs. See the model for the exact specifications.
  # @param [Hash] opts the optional parameters
  # @return [LinkTypeSingle]
  describe 'store_link_type test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for store_transaction_link
  # Create a new link between transactions
  # Store a new link between two transactions. For this end point you need the journal_id from a transaction.
  # @param transaction_link JSON array with the necessary link type information or key&#x3D;value pairs. See the model for the exact specifications.
  # @param [Hash] opts the optional parameters
  # @return [TransactionLinkSingle]
  describe 'store_transaction_link test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_link_type
  # Update existing link type.
  # Used to update a single link type. All fields that are not submitted will be cleared (set to NULL). The model will tell you which fields are mandatory. You cannot update some of the system provided link types, indicated by the editable&#x3D;false flag when you list it. 
  # @param id The ID of the link type.
  # @param link_type JSON array or formdata with updated link type information. See the model for the exact specifications.
  # @param [Hash] opts the optional parameters
  # @return [LinkTypeSingle]
  describe 'update_link_type test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_transaction_link
  # Update an existing link between transactions.
  # Used to update a single existing link. 
  # @param id The ID of the transaction link.
  # @param transaction_link JSON array or formdata with updated link type information. See the model for the exact specifications.
  # @param [Hash] opts the optional parameters
  # @return [TransactionLinkSingle]
  describe 'update_transaction_link test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
