=begin
#Firefly III API

#This is the official documentation of the Firefly III API. You can find accompanying documentation on the website of Firefly III itself (see below). Please report any bugs or issues. This version of the API is live from version v4.7.9 and onwards. You may use the \"Authorize\" button to try the API below. 

The version of the OpenAPI document: 0.10.4-modified
Contact: thegrumpydictator@gmail.com
Generated by: https://openapi-generator.tech
OpenAPI Generator version: 5.1.0-SNAPSHOT

=end

require 'spec_helper'
require 'json'

# Unit tests for FireflyIIIClient::RuleGroupsApi
# Automatically generated by openapi-generator (https://openapi-generator.tech)
# Please update as you see appropriate
describe 'RuleGroupsApi' do
  before do
    # run before each test
    @api_instance = FireflyIIIClient::RuleGroupsApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of RuleGroupsApi' do
    it 'should create an instance of RuleGroupsApi' do
      expect(@api_instance).to be_instance_of(FireflyIIIClient::RuleGroupsApi)
    end
  end

  # unit tests for delete_rule_group
  # Delete a rule group.
  # Delete a rule group.
  # @param id The ID of the rule group.
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'delete_rule_group test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for fire_rule_group
  # Fire the rule group on your transactions.
  # Fire the rule group on your transactions. Changes will be made by the rules in the rule group! Limit the result if you want to.
  # @param id The ID of the rule group.
  # @param [Hash] opts the optional parameters
  # @option opts [Date] :start A date formatted YYYY-MM-DD, to limit the transactions the actions will be applied to. Both the start date and the end date must be present. 
  # @option opts [Date] :_end A date formatted YYYY-MM-DD, to limit the transactions the actions will be applied to. Both the start date and the end date must be present. 
  # @option opts [String] :accounts Limit the testing of the rule group to these asset accounts. Only asset accounts will be accepted. Other types will be silently dropped. 
  # @return [nil]
  describe 'fire_rule_group test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for get_rule_group
  # Get a single rule group.
  # Get a single rule group. This does not include the rules. For that, see below.
  # @param id The ID of the rule group.
  # @param [Hash] opts the optional parameters
  # @return [RuleGroupSingle]
  describe 'get_rule_group test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_rule_by_group
  # List rules in this rule group.
  # List rules in this rule group.
  # @param id The ID of the rule group.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page Page number. The default pagination is 50.
  # @return [RuleArray]
  describe 'list_rule_by_group test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for list_rule_group
  # List all rule groups.
  # List all rule groups.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page Page number. The default pagination is 50
  # @return [RuleGroupArray]
  describe 'list_rule_group test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for store_rule_group
  # Store a new rule group.
  # Creates a new rule group. The data required can be submitted as a JSON body or as a list of parameters.
  # @param rule_group JSON array or key&#x3D;value pairs with the necessary rule group information. See the model for the exact specifications.
  # @param [Hash] opts the optional parameters
  # @return [RuleGroupSingle]
  describe 'store_rule_group test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for test_rule_group
  # Test which transactions would be hit by the rule group. No changes will be made.
  # Test which transactions would be hit by the rule group. No changes will be made. Limit the result if you want to.
  # @param id The ID of the rule group.
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :page Page number. The default pagination is 50 items.
  # @option opts [Date] :start A date formatted YYYY-MM-DD, to limit the transactions the test will be applied to. Both the start date and the end date must be present. 
  # @option opts [Date] :_end A date formatted YYYY-MM-DD, to limit the transactions the test will be applied to. Both the start date and the end date must be present. 
  # @option opts [Integer] :search_limit Maximum number of transactions Firefly III will try. Don&#39;t set this too high, or it will take Firefly III very long to run the test. I suggest a max of 200. 
  # @option opts [Integer] :triggered_limit Maximum number of transactions the rule group can actually trigger on, before Firefly III stops. I would suggest setting this to 10 or 15. Don&#39;t go above the user&#39;s page size, because browsing to page 2 or 3 of a test result would fire the test again, making any navigation efforts very slow. 
  # @option opts [String] :accounts Limit the testing of the rule group to these asset accounts. Only asset accounts will be accepted. Other types will be silently dropped. 
  # @return [TransactionArray]
  describe 'test_rule_group test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for update_rule_group
  # Update existing rule group.
  # Update existing rule group.
  # @param id The ID of the rule group.
  # @param rule_group JSON array with updated rule group information. See the model for the exact specifications.
  # @param [Hash] opts the optional parameters
  # @return [RuleGroupSingle]
  describe 'update_rule_group test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
